> For the complete documentation index, see [llms.txt](https://developer.vario-software.de/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.vario-software.de/api-reference/shipment.md).

# Shipment

Explore the VARIO Cloud Shipment API to create, update, validate and manage shipments, parcels, carrier labels, tracking data and shipping details.

the shipment API

## GET /vds/shipment/{id}

> Find an existing Resource by identifier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}":{"get":{"tags":["Shipment"],"summary":"Find an existing Resource by identifier","operationId":"getById_6","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}},"404":{"description":"Resource with given ID was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"Delivery method identifier."},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"documentNumber":{"type":"string","description":"Invoice number."},"currencyCodeRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"shippingCosts":{"type":"number","description":"Shipping costs."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/common-masterdata-CountryRegion"},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-masterdata-CountryRegion":{"description":"Federal state or region management.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"abbreviation":{"type":"string","description":"Abbreviation."},"regionalCode":{"type":"string","description":"Unique regional code (e.g. FIPS code, NUTS code, country-specific code)."},"iso3166_2Code":{"type":"string","description":"Region ISO 3166-2 code.","maxLength":6,"minLength":4},"countryCode":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"active":{"type":"boolean","default":true,"description":"is active","readOnly":true}},"required":["countryCode","label"]},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"vds-carrier-Carrier":{"description":"Sender.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name","minLength":1},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Parcel state.","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"countryOfOrigin":{"type":"string","description":"Country of origin.","maxLength":255,"minLength":0},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":255,"minLength":0},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking status code.","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status label."},"statusDetails":{"type":"string","description":"Status details."},"location":{"type":"string","description":"City."},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Time the tracking was created."},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Time the tracking was changed."}},"required":["statusCode"]},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## PUT /vds/shipment/{id}

> Update existing Resource&#x20;

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}":{"put":{"tags":["Shipment"],"summary":"Update existing Resource ","operationId":"update_6","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"Delivery method identifier."},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"documentNumber":{"type":"string","description":"Invoice number."},"currencyCodeRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"shippingCosts":{"type":"number","description":"Shipping costs."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/common-masterdata-CountryRegion"},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-masterdata-CountryRegion":{"description":"Federal state or region management.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"abbreviation":{"type":"string","description":"Abbreviation."},"regionalCode":{"type":"string","description":"Unique regional code (e.g. FIPS code, NUTS code, country-specific code)."},"iso3166_2Code":{"type":"string","description":"Region ISO 3166-2 code.","maxLength":6,"minLength":4},"countryCode":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"active":{"type":"boolean","default":true,"description":"is active","readOnly":true}},"required":["countryCode","label"]},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"vds-carrier-Carrier":{"description":"Sender.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name","minLength":1},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Parcel state.","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"countryOfOrigin":{"type":"string","description":"Country of origin.","maxLength":255,"minLength":0},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":255,"minLength":0},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking status code.","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status label."},"statusDetails":{"type":"string","description":"Status details."},"location":{"type":"string","description":"City."},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Time the tracking was created."},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Time the tracking was changed."}},"required":["statusCode"]},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}}}}}
```

## DELETE /vds/shipment/{id}

> Delete an existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}":{"delete":{"tags":["Shipment"],"summary":"Delete an existing Resource","operationId":"delete_5","parameters":[{"name":"id","in":"path","description":"an identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"404":{"description":"Resource was not found","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}},"409":{"description":"unable to delete Resource, due to constraints, existing references or internal state","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Search dialogs to use.","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Search dialogs to use.","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Key for the search dialog result.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}}}}}
```

## PUT /vds/shipment/{id}/validate

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}/validate":{"put":{"tags":["Shipment"],"operationId":"validate","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"Delivery method identifier."},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"documentNumber":{"type":"string","description":"Invoice number."},"currencyCodeRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"shippingCosts":{"type":"number","description":"Shipping costs."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/common-masterdata-CountryRegion"},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-masterdata-CountryRegion":{"description":"Federal state or region management.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"abbreviation":{"type":"string","description":"Abbreviation."},"regionalCode":{"type":"string","description":"Unique regional code (e.g. FIPS code, NUTS code, country-specific code)."},"iso3166_2Code":{"type":"string","description":"Region ISO 3166-2 code.","maxLength":6,"minLength":4},"countryCode":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"active":{"type":"boolean","default":true,"description":"is active","readOnly":true}},"required":["countryCode","label"]},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"vds-carrier-Carrier":{"description":"Sender.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name","minLength":1},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Parcel state.","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"countryOfOrigin":{"type":"string","description":"Country of origin.","maxLength":255,"minLength":0},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":255,"minLength":0},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking status code.","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status label."},"statusDetails":{"type":"string","description":"Status details."},"location":{"type":"string","description":"City."},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Time the tracking was created."},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Time the tracking was changed."}},"required":["statusCode"]},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}}}}}
```

## PUT /vds/shipment/{id}/updateWithRequestLabel

>

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}/updateWithRequestLabel":{"put":{"tags":["Shipment"],"operationId":"updateWithRequestLabel","parameters":[{"name":"id","in":"path","description":"Unique identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"Delivery method identifier."},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"documentNumber":{"type":"string","description":"Invoice number."},"currencyCodeRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"shippingCosts":{"type":"number","description":"Shipping costs."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/common-masterdata-CountryRegion"},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-masterdata-CountryRegion":{"description":"Federal state or region management.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"abbreviation":{"type":"string","description":"Abbreviation."},"regionalCode":{"type":"string","description":"Unique regional code (e.g. FIPS code, NUTS code, country-specific code)."},"iso3166_2Code":{"type":"string","description":"Region ISO 3166-2 code.","maxLength":6,"minLength":4},"countryCode":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"active":{"type":"boolean","default":true,"description":"is active","readOnly":true}},"required":["countryCode","label"]},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"vds-carrier-Carrier":{"description":"Sender.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name","minLength":1},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Parcel state.","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"countryOfOrigin":{"type":"string","description":"Country of origin.","maxLength":255,"minLength":0},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":255,"minLength":0},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking status code.","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status label."},"statusDetails":{"type":"string","description":"Status details."},"location":{"type":"string","description":"City."},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Time the tracking was created."},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Time the tracking was changed."}},"required":["statusCode"]},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}}}}}
```

## PUT /vds/shipment/{id}/request-label

> requests a label from carrier

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}/request-label":{"put":{"tags":["Shipment"],"summary":"requests a label from carrier","operationId":"requestLabel","parameters":[{"name":"id","in":"path","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-PrintLabelRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}}}}}},"components":{"schemas":{"vds-shipment-PrintLabelRequest":{"properties":{"parameters":{"type":"array","description":"Additional parameters (e.g. also answers to decisions).","items":{"$ref":"#/components/schemas/common-api-AdditionalParameter"}}}},"common-api-AdditionalParameter":{"description":"Additional parameters.","properties":{"key":{"type":"string","description":"key for this parameter"},"value":{"type":"object","description":"value for this parameter"}},"required":["key"]},"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"Delivery method identifier."},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"documentNumber":{"type":"string","description":"Invoice number."},"currencyCodeRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"shippingCosts":{"type":"number","description":"Shipping costs."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/common-masterdata-CountryRegion"},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-masterdata-CountryRegion":{"description":"Federal state or region management.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"abbreviation":{"type":"string","description":"Abbreviation."},"regionalCode":{"type":"string","description":"Unique regional code (e.g. FIPS code, NUTS code, country-specific code)."},"iso3166_2Code":{"type":"string","description":"Region ISO 3166-2 code.","maxLength":6,"minLength":4},"countryCode":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"active":{"type":"boolean","default":true,"description":"is active","readOnly":true}},"required":["countryCode","label"]},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"vds-carrier-Carrier":{"description":"Sender.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name","minLength":1},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Parcel state.","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"countryOfOrigin":{"type":"string","description":"Country of origin.","maxLength":255,"minLength":0},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":255,"minLength":0},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking status code.","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status label."},"statusDetails":{"type":"string","description":"Status details."},"location":{"type":"string","description":"City."},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Time the tracking was created."},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Time the tracking was changed."}},"required":["statusCode"]},"common-masterdata-CurrencyReference":{"description":"Currency.","properties":{"id":{"type":"integer","format":"int64","description":"Currency identifier."},"isoAlpha3":{"type":"string","description":"Currency ISO Alpha-3 code."},"label":{"type":"string","description":"Currency label.","readOnly":true},"symbol":{"type":"string","description":"Currency symbol.","readOnly":true}}}}}}
```

## PUT /vds/shipment/{id}/parcels/{parcelId}

> Update existing Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}/parcels/{parcelId}":{"put":{"tags":["Shipment"],"summary":"Update existing Resource","operationId":"updateParcel","parameters":[{"name":"id","in":"path","description":"Shipment identifier.","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"parcelId","in":"path","description":"Parcel identifier.","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Parcel"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Parcel"}}}}}}}},"components":{"schemas":{"vds-shipment-Parcel":{"description":"the parcels sent within this shipping order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"width":{"type":"number","description":"width of the parcel"},"height":{"type":"number","description":"height of the parcel"},"dimensionUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"length":{"type":"number","description":"length of the parcel"},"weight":{"type":"number","description":"weight of the parcel"},"weightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"trackingNumber":{"type":"string","description":"tracking number of the parcel"},"lines":{"type":"array","description":"parcel position lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelLine"}},"trackingDetails":{"type":"array","description":"tracking details lines","items":{"$ref":"#/components/schemas/vds-shipment-ParcelTrackingDetail"}},"packageParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentId":{"type":"integer","format":"int64","description":"The ID of the linked shipment"},"parcelState":{"type":"string","description":"Parcel state.","enum":["OPEN","REQUESTED","COMPLETED","ERROR","MANUAL","CANCELLED"]},"carrierResponse":{"type":"string","description":"carrier response information (e.g. error message)"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["parcelState"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"common-masterdata-UnitTypeReference":{"description":"net weight unit","properties":{"id":{"type":"integer","format":"int64","description":"unit type id"},"name":{"type":"string","description":"descriptive name","maxLength":255,"minLength":0},"abbreviation":{"type":"string","description":"unique abbreviation","maxLength":255,"minLength":0}},"required":["abbreviation"]},"vds-shipment-ParcelLine":{"description":"parcel position lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"parcelId":{"type":"integer","format":"int64","description":"ID of the linked parcel"},"number":{"type":"string","description":"position within the parcel"},"description":{"type":"string","description":"position description"},"amount":{"type":"number","description":"amount of position within the parcel"},"grossWeight":{"type":"number","description":"gross weight of single position"},"grossWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"netWeight":{"type":"number","description":"nett weight of single position"},"netWeightUnit":{"$ref":"#/components/schemas/common-masterdata-UnitTypeReference"},"grossPrice":{"type":"number","description":"gross price of single position"},"netPrice":{"type":"number","description":"net price of single position"},"countryOfOrigin":{"type":"string","description":"Country of origin.","maxLength":255,"minLength":0},"customsTariffNumber":{"type":"string","description":"Customs tariff number.","maxLength":255,"minLength":0},"internationalParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"dangerousGoodsParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"vds-shipment-ParcelTrackingDetail":{"description":"tracking details lines","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"statusCode":{"type":"string","description":"Tracking status code.","enum":["CREATED","PICKUP","TRANSIT","DELIVERED","RETURN","EXCEPTION"]},"carrierStatusCode":{"type":"string","description":"deliverer status code"},"statusLabel":{"type":"string","description":"Status label."},"statusDetails":{"type":"string","description":"Status details."},"location":{"type":"string","description":"City."},"trackingCreatedAt":{"type":"string","format":"date-time","description":"Time the tracking was created."},"trackingUpdatedAt":{"type":"string","format":"date-time","description":"Time the tracking was changed."}},"required":["statusCode"]}}}}
```

## PUT /vds/shipment/{id}/parcels/{parcelId}/print

> Print parcel label

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment/{id}/parcels/{parcelId}/print":{"put":{"tags":["Shipment"],"summary":"Print parcel label","operationId":"printParcel","parameters":[{"name":"id","in":"path","description":"shipment id","required":true,"schema":{"type":"integer","format":"int64"}},{"name":"parcelId","in":"path","description":"parcelId","required":true,"schema":{"type":"integer","format":"int64"}}],"requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/common-output-OutputRequest"}}},"required":true},"responses":{"200":{"description":"OK","content":{"*/*":{"schema":{"type":"object"}}}}}}}},"components":{"schemas":{"common-output-OutputRequest":{"properties":{"exportFormat":{"type":"string","description":"Output format for the mail or file export.","enum":["PDF","XLSX","JSON_RAW","REPORT_TEMPLATE"]},"exportFilename":{"type":"string","description":"File name (without extension) for a file export."},"mailRecipients":{"type":"array","description":"Recipient.","items":{"$ref":"#/components/schemas/common-output-OutputRecipient.MailRecipient"}},"outputType":{"type":"string","description":"outputType"},"groupIdentifier":{"type":"string","description":"OutputReportGroup identifier (optional), otherwise the module default group."},"published":{"type":"boolean","default":false,"description":"Should only documents that are already published be considered?"},"directPrintEnabled":{"type":"boolean","default":true,"description":"Return output directly to the client."}}},"common-output-OutputRecipient.MailRecipient":{"description":"Recipient.","properties":{"type":{"type":"string","description":"(mail) recipient type","enum":["TO","CC","BCC"]},"address":{"type":"string","description":"(mail) recipient address"},"name":{"type":"string","description":"(mail) recipient name"}}}}}}
```

## POST /vds/shipment

> Create new Resource

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.42.0"},"tags":[{"name":"Shipment","description":"the shipment API"}],"servers":[{"url":"api.example.com"}],"paths":{"/vds/shipment":{"post":{"tags":["Shipment"],"summary":"Create new Resource","operationId":"create_5","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/vds-shipment-Shipment"}}}},"422":{"description":"Resource was not valid to process","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"vds-shipment-Shipment":{"properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"shippingDate":{"type":"string","format":"date","description":"shipping date"},"shipperAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"receiverAddress":{"$ref":"#/components/schemas/vds-shipment-DeliveryAddress"},"carrier":{"$ref":"#/components/schemas/vds-carrier-Carrier"},"deliveryMethodId":{"type":"integer","format":"int64","description":"Delivery method identifier."},"shipmentParameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"parcels":{"type":"array","description":"the parcels sent within this shipping order","items":{"$ref":"#/components/schemas/vds-shipment-Parcel"}},"documentId":{"type":"integer","format":"int64","description":"Document identifier."},"carrierResponse":{"type":"string","description":"carrier response / warning or error messages"},"validationErrors":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"documentNumber":{"type":"string","description":"Invoice number."},"currencyCodeRef":{"$ref":"#/components/schemas/common-masterdata-CurrencyReference"},"shippingCosts":{"type":"number","description":"Shipping costs."},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"textInterpolationData":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"shipmentState":{"type":"string","description":"state of the shipment","enum":["OPEN","IN_PROCESS","COMPLETED"]}},"required":["carrier","documentId","receiverAddress","shipperAddress"]},"core-api-MetaInfo":{"description":"MetaInformations for this Object","properties":{"createdAt":{"type":"string","format":"date-time","description":"Created At Timestamp","readOnly":true},"createdFrom":{"type":"string","description":"TenantUser-Identifier of the creator","readOnly":true},"updatedAt":{"type":"string","format":"date-time","description":"Last Updated AT Timestamp","readOnly":true},"updatedFrom":{"type":"string","description":"TenantUser-Identifier of most recent updater","readOnly":true}}},"vds-shipment-DeliveryAddress":{"description":"receiver address of this order","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"salutation":{"type":"string","description":"salutation for this address"},"name1":{"type":"string","description":"name1","maxLength":255,"minLength":0},"name2":{"type":"string","description":"name2","maxLength":255,"minLength":0},"name3":{"type":"string","description":"name3","maxLength":255,"minLength":0},"type":{"type":"string","description":"kind of address","enum":["CONSIGNEE","SHIPPER"]},"additionalAddressLine1":{"type":"string","description":"additional address information 1","maxLength":255,"minLength":0},"additionalAddressLine2":{"type":"string","description":"additional address information 2","maxLength":255,"minLength":0},"street":{"type":"string","description":"streetname of this address","maxLength":255,"minLength":0},"streetAddressNumber":{"type":"string","description":"house number or street address number of this address","maxLength":255,"minLength":0},"city":{"type":"string","description":"city of this address","maxLength":255,"minLength":0},"postcode":{"type":"string","description":"postcode of this address","maxLength":255,"minLength":0},"country":{"type":"string","description":"country of this address","maxLength":255,"minLength":0},"region":{"$ref":"#/components/schemas/common-masterdata-CountryRegion"},"countryIso3":{"type":"string","description":"country-iso-alpha-3 of this address","maxLength":255,"minLength":0},"taxId":{"type":"string","description":"tax id of this address","maxLength":255,"minLength":0},"phone":{"type":"string","description":"phone number of this address","maxLength":255,"minLength":0},"fax":{"type":"string","description":"fax number of this address","maxLength":255,"minLength":0},"email":{"type":"string","description":"email of this address","maxLength":255,"minLength":0},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-masterdata-CountryRegion":{"description":"Federal state or region management.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"Label.","minLength":1},"abbreviation":{"type":"string","description":"Abbreviation."},"regionalCode":{"type":"string","description":"Unique regional code (e.g. FIPS code, NUTS code, country-specific code)."},"iso3166_2Code":{"type":"string","description":"Region ISO 3166-2 code.","maxLength":6,"minLength":4},"countryCode":{"$ref":"#/components/schemas/common-masterdata-CountryReference"},"active":{"type":"boolean","default":true,"description":"is active","readOnly":true}},"required":["countryCode","label"]},"common-masterdata-CountryReference":{"description":"Country of origin.","properties":{"id":{"type":"integer","format":"int64","description":"Country identifier."},"isoAlpha2":{"type":"string","description":"Country ISO Alpha-2 code."},"isoAlpha3":{"type":"string","description":"Country ISO Alpha-3 code."},"label":{"type":"string","description":"Country label.","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search dialog.","properties":{"empty":{"type":"boolean"},"array":{"type":"boolean"},"null":{"type":"boolean"},"object":{"type":"boolean"},"float":{"type":"boolean"},"missingNode":{"type":"boolean"},"valueNode":{"type":"boolean"},"container":{"type":"boolean"},"integralNumber":{"type":"boolean"},"binary":{"type":"boolean"},"nodeType":{"type":"string","enum":["ARRAY","BINARY","BOOLEAN","MISSING","NULL","NUMBER","OBJECT","POJO","STRING"]},"string":{"type":"boolean"},"pojo":{"type":"boolean"},"short":{"type":"boolean"},"int":{"type":"boolean"},"long":{"type":"boolean"},"double":{"type":"boolean"},"bigDecimal":{"type":"boolean"},"bigInteger":{"type":"boolean"},"textual":{"type":"boolean","deprecated":true},"boolean":{"type":"boolean"},"floatingPointNumber":{"type":"boolean"},"number":{"type":"boolean"},"embeddedValue":{"type":"boolean"}}},"vds-carrier-Carrier":{"description":"Sender.","properties":{"version":{"type":"string","description":"Version Identifier for this Object (for PUT)"},"info":{"$ref":"#/components/schemas/core-api-MetaInfo"},"id":{"type":"string","description":"Unique identifier of the Object"},"label":{"type":"string","description":"label/shipment service/api name","minLength":1},"parameter":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"carrierTypeRef":{"$ref":"#/components/schemas/core-api-ApiObjectReference"},"active":{"type":"boolean","default":true,"description":"Is this active?"},"custom":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"required":["carrierTypeRef","label"]},"core-api-ApiObjectReference":{"description":"Parent category.","properties":{"id":{"type":"string","description":"Identifier"},"label":{"type":"string","description":"a label","readOnly":true},"description":{"type":"string","description":"a short description","readOnly":true},"active":{"type":"boolean","description":"Active.","readOnly":true}},"required":["id"]},"vds-shipment-Parcel":{"descriptio
[...]
